#pragma once

#include "../Pulse-Tec/Include/Pulse.h"

namespace Pulse
{
	class AppView : public HumanView
	{
	public:
		AppView( void );
		~AppView( void );
		virtual void				OnUpdate( DOUBLE time, FLOAT deltaTime );
		virtual EErrorCode::Type	OnRender( DOUBLE time, FLOAT deltaTime );

	private:

		ActorPtr	m_pActorModel1;
		ActorPtr	m_pActorModel2;
		ActorPtr	m_pActorModel3;
		ActorPtr	m_pActorCamera;
		ActorPtr	m_pActorLight;

		Scene	m_scene;

	};
}