/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	ComponentCreators.h
*
*	Description -	Just a place to store all the component creator methods to be
*					registerd in the component creators.
*
*	Comments	-	
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	10/19/2012	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_COMPONENT_CREATOR_H_
#define _PSX_COMPONENT_CREATOR_H_

#include "PulseSTD.h"

namespace Pulse
{
	void RegisterComponentCreateMethods( void );

	void UnregisterComponentCreateMethods( void );

}

#endif /* _PSX_COMPONENT_CREATOR_H_ */