/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	EventWindowViewDestroy.h
*
*	Description -	Called just before the window is destroyed
*
*	Comments	-
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	06/08/2013	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_EVENT_WINDOW_VIEW_DESTROY_H_
#define _PSX_EVENT_WINDOW_VIEW_DESTROY_H_

#include "PulseSTD.h"
#include "IEvent.h"

namespace Pulse
{
	class EventWindowViewDestroy : public IEvent
	{
	public:

		EventWindowViewDestroy( void );

		virtual ~EventWindowViewDestroy( void );

		virtual const EEvent::Type GetEventType( void ) const { return EEvent::WINDOW_VIEW_DESTROY; }

	private:

	};
}

#endif /* _PSX_EVENT_WINDOW_VIEW_DESTROY_H_ */