/**************************************************************************************
*
*	Copyright (C) 2010 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	GeometryElementRequirement.h
*
*	Description -	Simple struct to hold geometry element requirement data.
*
*	Comments	-
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	09/28/2012	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_GEOMETRY_ELEMENT_REQUIREMENT_H_
#define _PSX_GEOMETRY_ELEMENT_REQUIREMENT_H_

#include "PulseSTD.h"
#include "GraphicsTypes.h"
#include "String.h"

namespace Pulse
{
	struct GeometryElementRequirement
	{
		EVertexElement::Type m_type;
	};
}

#endif /* _PSX_GEOMETRY_ELEMENT_REQUIREMENT_H_ */