/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	NativeScriptCreators.h
*
*	Description -	Just a place to store all the native script creator methods to be
*					registerd in the native script factory.
*
*	Comments	-	
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	06/24/2013	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_NATIVE_SCRIPT_CREATORS_H_
#define _PSX_NATIVE_SCRIPT_CREATORS_H_

#include "PulseSTD.h"

namespace Pulse
{
	void RegisterNativeScriptsCreateMethods( void );

	void UnregisterNativeScriptsCreateMethods( void );

	_INativeScript * CreateCameraControlFreeRoam( ComponentNativeScript *pComponentScript );
	void DeleteCameraControlFreeRoam( _INativeScript *pScript );
}

#endif /* _PSX_NATIVE_SCRIPT_CREATORS_H_ */