/**************************************************************************************
*
*	Copyright (C) 2010 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	- Range.h
*
*	Description - 
*
*	Comments	-
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	08/15/2012	-	Creation of this file.
**************************************************************************************/
#ifndef _PSX_RANGE_H_
#define _PSX_RANGE_H_

#include "PulseSTD.h"

namespace Pulse
{
	class Range
	{
	public:

		Range( INT _begin, INT _end )
			: begin(_begin), end(_end), granularity(1)
		{
		}

		Range( INT _begin, INT _end, INT _granularity )
			: begin(_begin), end(_end), granularity(_granularity)
		{
		}

		INT begin;
		INT end;
		INT granularity;

	};
}

#endif /* _PSX_RANGE_H_ */