/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	RenderEntryClearPipeline.h
*
*	Description -	
*
*	Comments	-	
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	03/08/2013	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_RENDER_ENTRY_CLEAR_PIPELINE_H_
#define _PSX_RENDER_ENTRY_CLEAR_PIPELINE_H_

#include "PulseSTD.h"
#include "RenderEntry.h"

namespace Pulse
{

	class RenderEntryClearPipeline : public RenderEntry
	{
	public:

		RenderEntryClearPipeline( const BOOL bIA, const BOOL bVS, const BOOL bPS, const BOOL bRS, const BOOL bOM, const BOOL bCS );

		virtual ~RenderEntryClearPipeline( void ) { }

		//virtual void PreExecute( GraphicsPipeline *pPipeline ) { }

		virtual void Execute( GraphicsPipeline *pPipeline );

		//virtual void PostExecute( GraphicsPipeline *pPipeline ) { }

	private:

		const BOOL m_bIA;
		const BOOL m_bVS;
		const BOOL m_bPS;
		const BOOL m_bRS;
		const BOOL m_bOM;
		const BOOL m_bCS;

	};

}

#endif /* _PSX_RENDER_ENTRY_CLEAR_PIPELINE_H_ */