/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	RenderEntrySwapChain.h
*
*	Description -	
*
*	Comments	-	
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	10/03/2012	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_RENDER_ENTRY_SWAPCHAIN_H_
#define _PSX_RENDER_ENTRY_SWAPCHAIN_H_

#include "PulseSTD.h"
#include "GraphicsTypes.h"
#include "RenderEntry.h"

namespace Pulse
{
	class RenderEntrySwapChain : public RenderEntry
	{
	public:

		RenderEntrySwapChain( void );

		virtual ~RenderEntrySwapChain( void );

		void SetSwapChain( SwapChain *pSwapChain );

		//virtual void PreExecute( GraphicsPipeline *pPipeline ) { }

		virtual void Execute( GraphicsPipeline *pPipeline );

		//virtual void PostExecute( GraphicsPipeline *pPipeline ) { }

	public:

		SwapChain					*m_pSwapChain;
		
	};
}

#endif /* _PSX_RENDER_ENTRY_SWAPCHAIN_H_ */