/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	RenderEntryViewport.h
*
*	Description -	
*
*	Comments	-	
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	10/15/2012	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_RENDER_ENTRY_VIEWPORT_H_
#define _PSX_RENDER_ENTRY_VIEWPORT_H_

#include "PulseSTD.h"
#include "RenderEntry.h"
#include "GraphicsPipeline.h"
#include "Viewport.h"

namespace Pulse
{
	class RenderEntryViewport : public RenderEntry
	{
	public:

		RenderEntryViewport( void ) {  }

		virtual ~RenderEntryViewport( void ) { }

		void SetViewport( const Viewport *pViewport ) { m_viewport = *pViewport; }

		//virtual void PreExecute( GraphicsPipeline *pPipeline ) { }

		virtual void Execute( GraphicsPipeline *pPipeline );

		//virtual void PostExecute( GraphicsPipeline *pPipeline ) { }

	public:

		Viewport			m_viewport;

	};
}

#endif /* _PSX_RENDER_ENTRY_VIEWPORT_H_ */