/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	ParameterBinderMatrixRef.cpp
*
*	Comments	-	See ParameterBinderMatrixRef.h
*
**************************************************************************************/
#include "../Include/ParameterBinderMatrixRef.h"
#include "../Include/ParameterMatrix.h"

namespace Pulse
{
	ParameterBinderMatrixRef::ParameterBinderMatrixRef( void )
		: m_pData( PSX_NULL )
	{
	}

	ParameterBinderMatrixRef::ParameterBinderMatrixRef( IParameter *pParam )
		: m_pData( PSX_NULL )
	{
		SetParameter( pParam );
	}

	void ParameterBinderMatrixRef::BindValue( void )
	{
		m_pMatrixParam->SetMatrix( m_pData );
	}

}