/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	ParameterSamplerState.cpp
*
*	Comments	-	See ParameterSamplerState.h
*
**************************************************************************************/
#include "../Include/ParameterSamplerState.h"

namespace Pulse
{
	ParameterSamplerState::ParameterSamplerState( ParameterSamplerState &rhs )
		: IParameter( rhs ), m_pState( rhs.m_pState )
	{
	}

	void ParameterSamplerState::SetData( IParameter *pParam )
	{
		if ( pParam )
		{
			if ( pParam->GetType() == EParameter::SAMPLER )
			{
				m_pState = ((ParameterSamplerState*)pParam)->m_pState;
				IncrementChangeValue();
			}
		}
	}

}