/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	ParameterVector4.cpp
*
*	Comments	-	See ParameterVector4.h
*
**************************************************************************************/
#include "../Include/ParameterVector4.h"

namespace Pulse
{
	ParameterVector4::ParameterVector4( ParameterVector4 &rhs )
		: IParameter( rhs )
	{
		m_vec = rhs.m_vec;
		IncrementChangeValue();
	}

	ParameterVector4::~ParameterVector4( void )
	{

	}

	void ParameterVector4::SetData( IParameter *pParam )
	{
		if ( pParam )
		{
			if ( pParam->GetType() == EParameter::VECTOR4 )
			{
				m_vec = ((ParameterVector4*)pParam)->m_vec;
				IncrementChangeValue();
			}
		}
	}
}