#pragma once

#include "../Pulse-Tec/Include/Pulse.h"

#include "GeometryFileWriter.h"

#include "FBXUtility.h"

namespace Pulse
{
	class AppLogic : public Logic
	{
	public:

		AppLogic( void );

		virtual ~AppLogic( void );
		
		virtual EErrorCode::Type OnInitialize( void );

		virtual void OnShutdown( void );

		virtual void OnUpdate( DOUBLE time, FLOAT dt );

	public:

		GeometryFileWriter m_writer;

	};


}