/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	ComponentTypes.h
*
*	Description -	Enum for the types of actor components.
*
*	Comments	-
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	06/05/2013	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_COMPONENT_TYPES_H_
#define _PSX_COMPONENT_TYPES_H_

#include "PulseSTD.h"

namespace Pulse
{
	PSX_EnumBegin( EComponent )
		TRANSFORM,
		CAMERA,
		LIGHT,
		MODEL_FILTER,
		RENDERER,
		REFLECTION,
		BILLBOARD,
		PHYSICS,
		NATIVE_SCRIPT,
		WORLD_STREAMER, // Current design is to only have one instance (root node) in scene.
	PSX_EnumEnd()
}

#endif /* _PSX_COMPONENT_TYPES_H_ */