/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	EventModelUnload.h
*
*	Description -	Model unloaded in ComponentModelFilter
*
*	Comments	-
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	06/04/2013	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_EVENT_MODEL_UNLOAD_H_
#define _PSX_EVENT_MODEL_UNLOAD_H_

#include "PulseSTD.h"
#include "IEvent.h"

namespace Pulse
{
	class EventModelUnload : public IEvent
	{
	public:

		EventModelUnload( void ) { }

		virtual ~EventModelUnload( void ) { }

		virtual const EEvent::Type GetEventType( void ) const { return EEvent::MODEL_UNLOAD; }

	public:

		// Nothing...

	};
}

#endif /* _PSX_EVENT_MODEL_UNLOAD_H_ */
