/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	EventWindowViewResize.h
*
*	Description -	WindowView resize
*
*	Comments	-
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	06/08/2013	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_EVENT_WINDOW_VIEW_RESIZE_H_
#define _PSX_EVENT_WINDOW_VIEW_RESIZE_H_

#include "PulseSTD.h"
#include "IEvent.h"

namespace Pulse
{
	class EventWindowViewResize : public IEvent
	{
	public:

		EventWindowViewResize( void );

		virtual ~EventWindowViewResize( void );

		virtual const EEvent::Type GetEventType( void ) const { return EEvent::WINDOW_VIEW_RESIZE; }

	private:

	};
}

#endif /* _PSX_EVENT_WINDOW_VIEW_RESIZE_H_ */