/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	GlobalDirectory.h
*
*	Description -	Contains all the general directory paths for specific resources.
*
*	Comments	-	
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	06/14/2012	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_GLOBAL_DIRECTORY_H_
#define _PSX_GLOBAL_DIRECTORY_H_

namespace Pulse
{
	#define PSX_PATH_RESOURCES PSX_String("Data\\")
	
	// Effects
	#define PSX_PATH_EFFECTS			PSX_String("Data\\Effects\\")
	#define PSX_PATH_EFFECTS_LIBRARY	PSX_PATH_EFFECTS
	#define PSX_PATH_EFFECT_TECHNIQUES	PSX_String("Data\\Effects\\Techniques\\")
	#define PSX_PATH_RENDER_TECHNIQUES	PSX_String("Data\\Effects\\Techniques\\")
	//#define PSX_PATH_SHADERS			PSX_String("Data\\Effects\\Techniques\\Shaders\\")
	#define PSX_PATH_APPEND_SHADERS		PSX_String("Shaders\\")

	// Render States
	#define PSX_PATH_RENDER_STATES			PSX_String("Data\\Render States\\")
	#define PSX_PATH_RASTERIZER_STATES		PSX_String("Data\\Render States\\Rasterizer States\\")
	#define PSX_PATH_BLEND_STATES			PSX_String("Data\\Render States\\Blend States\\")
	#define PSX_PATH_DEPTH_STENCIL_STATES	PSX_String("Data\\Render States\\Depth Stencil States\\")

	#define PSX_PATH_MATERIALS		PSX_String("Data\\Materials\\")
	#define PSX_PATH_GEOMETRY		PSX_String("Data\\Models\\Geometry\\")
	#define PSX_PATH_MODELS			PSX_String("Data\\Models\\")
	#define PSX_PATH_TEXTURES		PSX_String("Data\\Textures\\")
}

#endif /* _PSX_GLOBAL_DIRECTORY_H_ */