/**************************************************************************************
*
*	Copyright (C) 2010 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	GlobalSystems.h
*
*	Description -	Collection of global system variables so that we don't have to keep
*					on getting systems through the engine (e.g. Engine::GetIstance()->...)
*
*	Comments	-	
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	06/06/2013	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_GLOBAL_SYSTEMS_H_
#define _PSX_GLOBAL_SYSTEMS_H_

#include "PulseSTD.h"

namespace Pulse
{
	// TODO: add other global systems here.
	Engine *gpEngine;
}

#endif /* _PSX_GLOBAL_SYSTEMS_H_ */