/**************************************************************************************
*
*	Copyright (C) 2010 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	- ISerializable.h
*
*	Description - System for serializing data from and to memory to target storages.
*
*	Comments	- This is currently a hard coded xml serializer. Might want other
*					types as well.
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	05/13/2013	-	Creation of this file.
**************************************************************************************/

#ifndef _PSX_INTERFACE_ISERIALIZABLE_H_
#define _PSX_INTERFACE_ISERIALIZABLE_H_

#include "PulseSTD.h"
#include "XMLParser.h"

namespace Pulse
{
	class ISerializable
	{
	public:

		void Serialize( XMLElementPtr pElem );

		EErrorCode::Type DeSerialize( XMLElementPtr pElem );

	private:

	};
}

#endif /* _PSX_INTERFACE_ISERIALIZABLE_H_ */