/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	MaterialComponent.h
*
*	Description -	Material component
*
*	Comments	- 
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	09/28/2012	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_MATERIAL_COMPONENT_H_
#define _PSX_MATERIAL_COMPONENT_H_

#include "PulseSTD.h"

namespace Pulse
{
	PSX_EnumBegin( EMaterial )
		UNKNOWN = -1,
	PSX_EnumEnd()

	class MaterialComponent
	{
	public:

		virtual ~MaterialComponent( void );

		virtual EMaterial::Type GetType( void ) = 0;

	private:

	};
}

#endif /* _PSX_MATERIAL_COMPONENT_H_ */