/**************************************************************************************
*
*	Copyright (C) 2010 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	MaterialElementRequirement.h
*
*	Description -	Simple struct to hold material element requirement data.
*
*	Comments	-
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	09/28/2012	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_MATERIAL_ELEMENT_REQUIREMENT_H_
#define _PSX_MATERIAL_ELEMENT_REQUIREMENT_H_

#include "PulseSTD.h"
#include "GraphicsTypes.h"
#include "IParameter.h"
#include "String.h"

namespace Pulse
{

	struct MaterialElementRequirement
	{
		EMaterialSource::Type	m_source;
		EParameter::Type		m_type;
		String					m_name;
	};
}

#endif /* _PSX_MATERIAL_ELEMENT_REQUIREMENT_H_ */