/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	RenderEntryPresent.h
*
*	Description -	
*
*	Comments	-	
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	10/12/2012	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_RENDER_ENTRY_PRESENT_H_
#define _PSX_RENDER_ENTRY_PRESENT_H_

#include "PulseSTD.h"
#include "RenderEntry.h"
#include "SwapChain.h"

namespace Pulse
{
	class RenderEntryPresent : public RenderEntry
	{
	public:

		RenderEntryPresent( void ) 
			: m_pSwapChain( PSX_NULL ) 
		{
			SetStage( ERenderViewStage::POST_PROCESS );
		}

		void SetSwapChain( SwapChain *pSwapChain ) { m_pSwapChain = pSwapChain; }

		virtual void Execute( GraphicsPipeline *pPipeline );

	private:

		SwapChain *m_pSwapChain;

	};
}

#endif /* _PSX_RENDER_ENTRY_PRESENT_H_ */