/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	VertexElementSizes.h
*
*	Description -	Contains the sizes of each type of vertex element.
*
*	Comments	-	
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	09/05/2012	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_VERTEX_ELEMENT_SIZES_H_
#define _PSX_VERTEX_ELEMENT_SIZES_H_

#include "PulseSTD.h"
#include "GraphicsTypes.h"

namespace Pulse
{
	typedef UINT8 VertexElementSize_T;

	class VertexElementSizes
	{
	public:

		static VertexElementSize_T GetSize( EVertexElement::Type type );

	};
}

#endif /* _PSX_VERTEX_ELEMENT_SIZES_H_ */