/**************************************************************************************
*
*	Copyright (C) 2010 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	VertexElementTypes.h
*
*	Description -	Classes/Structs containing vertex element types 
*
*	Comments	-
*
*	Modification History:
*			Name			   Date					Description
*			MrCodeSushi	-	09/05/2012	-	Creation of this file
**************************************************************************************/
#ifndef _PSX_VERTEX_ELEMENT_TYPES_H_
#define _PSX_VERTEX_ELEMENT_TYPES_H_

#include "PulseSTD.h"
#include "Vector2.h"
#include "Vector3.h"

namespace Pulse
{
	typedef Vector3 VertexPosition;
	typedef Vector3 VertexNormal;

}

#endif /* _PSX_VERTEX_ELEMENT_TYPES_H_ */