/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	ParameterBinderScalar.cpp
*
*	Comments	-	See ParameterBinderScalar.h
*
**************************************************************************************/
#include "../Include/ParameterBinderScalar.h"
#include "../Include/ParameterScalar.h"

namespace Pulse
{
	ParameterBinderScalar::ParameterBinderScalar( void )
	{
		PSX_ZeroMem( m_data, sizeof( m_data ) );
	}

	ParameterBinderScalar::ParameterBinderScalar( IParameter *pParam )
	{
		PSX_ZeroMem( m_data, sizeof( m_data ) );
		SetParameter( pParam );
	}

	void ParameterBinderScalar::BindValue( void )
	{
		m_pScalarParam->SetData( (void*)m_data );
	}

}