/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	ParameterBinderVector3.cpp
*
*	Comments	-	See ParameterBinderVector3.h
*
**************************************************************************************/
#include "../Include/ParameterBinderVector3.h"
#include "../Include/ParameterVector3.h"

namespace Pulse
{
	ParameterBinderVector3::ParameterBinderVector3( void )
		: m_data( Vector3::ZERO_VECTOR )
	{
		
	}

	ParameterBinderVector3::ParameterBinderVector3( IParameter *pParam )
		: m_data( Vector3::ZERO_VECTOR )
	{
		SetParameter( pParam );
	}

	void ParameterBinderVector3::BindValue( void )
	{
		m_pVector3Param->SetVector( &m_data );
	}

}