/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	ParameterBinderVector4.cpp
*
*	Comments	-	See ParameterBinderVector4.h
*
**************************************************************************************/
#include "../Include/ParameterBinderVector4.h"
#include "../Include/ParameterVector4.h"

namespace Pulse
{
	ParameterBinderVector4::ParameterBinderVector4( void )
		: m_data( Vector4::ZERO_VECTOR )
	{
		
	}

	ParameterBinderVector4::ParameterBinderVector4( IParameter *pParam )
		: m_data( Vector4::ZERO_VECTOR )
	{
		SetParameter( pParam );		
	}

	void ParameterBinderVector4::BindValue( void )
	{
		m_pVector4Param->SetVector( &m_data );
	}

}