/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	ParameterTexture2D.cpp
*
*	Comments	-	See ParameterTexture2D.h
*
**************************************************************************************/
#include "../Include/ParameterTexture2D.h"
#include "../Include/Texture2D.h"

namespace Pulse
{
	ParameterTexture2D::ParameterTexture2D( void )
		: m_pTexture( PSX_NULL )
	{
	}

	ParameterTexture2D::ParameterTexture2D( ParameterTexture2D &rhs )
		: IParameter( rhs )
	{
		m_pTexture = rhs.m_pTexture;
		IncrementChangeValue();
	}

	void ParameterTexture2D::SetData( IParameter *pParam )
	{
		if ( pParam )
		{
			if ( pParam->GetType() == GetType() )
			{
				SetData(((ParameterTexture2D*)pParam)->m_pTexture);
				IncrementChangeValue();
			}
		}
	}
}