/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	RenderEntryClearPipeline.cpp
*
*	Comments	-	See RenderEntryClearPipeline.h
*
**************************************************************************************/
#include "../Include/RenderEntryClearPipeline.h"
#include "../Include/GraphicsPipeline.h"

namespace Pulse
{
	RenderEntryClearPipeline::RenderEntryClearPipeline( const BOOL bIA, const BOOL bVS, const BOOL bPS, const BOOL bRS, const BOOL bOM, const BOOL bCS )
		: m_bIA( bIA ), m_bVS( bVS ), m_bPS( bPS ), m_bRS( bRS ), m_bOM( bOM ), m_bCS( bCS )
	{

	}

	void RenderEntryClearPipeline::Execute( GraphicsPipeline *pPipeline )
	{
		pPipeline->ClearStageStates( m_bIA, m_bVS, m_bPS, m_bRS, m_bOM, m_bCS );
		pPipeline->ApplyStageStates( m_bIA, m_bVS, m_bPS, m_bRS, m_bOM, m_bCS );
	}

}