/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	RenderEntryDepthStencilState.cpp
*
*	Comments	-	See RenderEntryDepthStencilState.h
*
**************************************************************************************/

#include "../Include/RenderEntryDepthStencilState.h"
#include "../Include/GraphicsPipeline.h"

namespace Pulse
{
	RenderEntryDepthStencilState::RenderEntryDepthStencilState( DepthStencilState *pState )
		: m_pState( pState )
	{

	}

	RenderEntryDepthStencilState::~RenderEntryDepthStencilState( void )
	{

	}

	void RenderEntryDepthStencilState::Execute( GraphicsPipeline *pPipeline )
	{
		pPipeline->OMSetDepthStencilState( m_pState );
		pPipeline->GetOutputMergerStage()->BindDepthStencilState();
	}

}