/**************************************************************************************
*
*	Copyright (C) 2009 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	RenderEntryRasterizerState.cpp
*
*	Comments	-	See RenderEntryRasterizerState.h
*
**************************************************************************************/

#include "../Include/RenderEntryRasterizerState.h"
#include "../Include/GraphicsPipeline.h"

namespace Pulse
{
	RenderEntryRasterizerState::RenderEntryRasterizerState( RasterizerState *pState )
		: m_pState( pState )
	{

	}

	RenderEntryRasterizerState::~RenderEntryRasterizerState( void )
	{

	}

	void RenderEntryRasterizerState::Execute( GraphicsPipeline *pPipeline )
	{
		pPipeline->RSSetState( m_pState );
		pPipeline->GetRasterizerStage()->BindRasterizerState();
	}

}