/**************************************************************************************
*
*	Copyright (C) 2010 - 2012 Brent Andrew O. Chua - See LICENSE.txt for more info.
*		
*	Filename	-	UnorderedAccessViewDesc.cpp
*
*	Comments	-	See UnorderedAccessViewDesc.h
*
**************************************************************************************/
#include "../Include/UnorderedAccessViewDesc.h"

namespace Pulse
{
	UnorderedAccessViewDesc::UnorderedAccessViewDesc( void )
	{
		SetDefaults();
	}

	void UnorderedAccessViewDesc::Set( EGraphicsFormat::Type format, BufferInfoUAV *bufferInfo )
	{
		m_format = format;
		m_viewDimension = EGraphicsUAVDimension::BUFFER;
		m_bufferInfo = *bufferInfo;
	}

	void UnorderedAccessViewDesc::SetDefaults( void )
	{
		m_format = EGraphicsFormat::UNKNOWN;
		m_viewDimension = EGraphicsUAVDimension::UNKNOWN;
	}

}